# Fetch Wallet Screening

Fetch the on-chain wallet screening score for a wallet address. This is an attribute query and incurs Quad Unit charges. This feature must be enabled for your dApp.

## Parameters

<table><thead><tr><th width="247">Name</th><th width="235">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>apiKey</code><mark style="color:red;"><code>*</code></mark></td><td>string</td><td>Your API Key</td></tr><tr><td><code>walletAddress</code><mark style="color:red;"><code>*</code></mark></td><td>hex string</td><td>Wallet address</td></tr><tr><td><code>privateKeyDerBase64</code></td><td>string</td><td>Base64 DER String</td></tr><tr><td><code>privateKeyDer</code></td><td>string</td><td>DER Binary String</td></tr><tr><td><code>privateKeyPem</code></td><td>string</td><td>PEM String</td></tr><tr><td><code>privateKey</code></td><td>CryptoKey</td><td>CryptoKey object</td></tr><tr><td><code>options</code></td><td>object</td><td>Fetch Options</td></tr></tbody></table>

{% hint style="info" %}
One private key parameter is required. You can provide your private key in any of the formats listed.

See [API Service Options](/integration/how-to-integrate/quadrata-sdk/advanced/api-libraries/api-service-options.md) for more information
{% endhint %}

## SDK Configuration

<table><thead><tr><th width="257">Name</th><th width="211">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>environment</code><mark style="color:red;"><code>*</code></mark></td><td>QuadrataEnvironment</td><td>Access token<br>See <a href="/pages/9dpQxq4Rgn4SBf9Ebnp1">createAccessToken</a></td></tr></tbody></table>

{% hint style="info" %}
See [API Get On-Chain AML Score](/integration/how-to-integrate/on-chain-wallet-screening/api-get-on-chain-aml-score.md) for more information about the underlying API endpoint.
{% endhint %}

## Example

```typescript
import type { API } from '@quadrata/sdk/types';
import { fetchWalletScreening, QuadrataEnvironment } from '@quadrata/sdk/api';

type ResponseType = API.Service.FetchWalletScreening.Response;
type ParsedResponseType = API.Service.FetchWalletScreening.ParsedResponse;

const response: ResponseType = await fetchWalletScreening(
    // params
    {
        apiKey: process.env.QUADRATA_API_KEY,
        walletAddress: '0x123',
        
        // private signign key
        privateKeyDerBase64: process.env.QUADRATA_PRIVATE_KEY_DER_BASE64,
        
        // optional fetch options
        options: {
            cache: 'no-cache'
        }
    },
    // sdk config
    { environment: QuadrataEnvironment.PRODUCTION }
);

const screeningData: ParsedResponseType = response.data;
// screeningData.address
// screeningData.score
// screeningData.verifiedAt
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.quadrata.com/integration/how-to-integrate/quadrata-sdk/advanced/api-libraries/api-service-libraries/fetch-wallet-screening.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
